=== src/commons/CMakeLists.txt ===
set(commons_header_files
        commons/A3MReader.h
        commons/AminoAcidLookupTables.h
        commons/BacktraceTranslator.h
        commons/ByteParser.h
        commons/Command.h
        commons/CommandCaller.h
        commons/Concat.h
        commons/DBConcat.h
        commons/DBReader.h
        commons/DBWriter.h
        commons/IntervalArray.h
        commons/Debug.h
        commons/Domain.h
        commons/ExpressionParser.h
        commons/FileUtil.h
        commons/HeaderSummarizer.h
        commons/IndexReader.h
        commons/itoa.h
        commons/KSeqBufferReader.h
        commons/KSeqWrapper.h
        commons/MathUtil.h
        commons/MemoryMapped.h
        commons/MemoryTracker.h
        commons/MMseqsMPI.h
        commons/MultiParam.h
        commons/NucleotideMatrix.h
        commons/Orf.h
        commons/ProfileStates.h
        commons/LibraryReader.h
        commons/Parameters.h
        commons/PatternCompiler.h
        commons/ScoreMatrix.h
        commons/Sequence.h
        commons/StringBlock.h
        commons/SubstitutionMatrix.h
        commons/SubstitutionMatrixProfileStates.h
        commons/tantan.h
        commons/TranslateNucl.h
        commons/Timer.h
        commons/UniprotKB.h
        commons/Util.h
        PARENT_SCOPE
        )

set(commons_source_files
        commons/A3MReader.cpp
        commons/Application.cpp
        commons/BaseMatrix.cpp
        commons/Command.cpp
        commons/CommandCaller.cpp
        commons/DBConcat.cpp
        commons/DBReader.cpp
        commons/DBWriter.cpp
        commons/Debug.cpp
        commons/ExpressionParser.cpp
        commons/FileUtil.cpp
        commons/HeaderSummarizer.cpp
        commons/KSeqWrapper.cpp
        commons/MemoryMapped.cpp
        commons/MemoryTracker.cpp
        commons/MMseqsMPI.cpp
        commons/MultiParam.cpp
        commons/NucleotideMatrix.cpp
        commons/Orf.cpp
        commons/Parameters.cpp
        commons/ProfileStates.cpp
        commons/LibraryReader.cpp
        commons/Sequence.cpp
        commons/SubstitutionMatrix.cpp
        commons/tantan.cpp
        commons/UniprotKB.cpp
        commons/Util.cpp
        PARENT_SCOPE
        )
