=== src/linclust/CMakeLists.txt ===
set(linclust_source_files
        linclust/kmermatcher.cpp
        linclust/kmerindexdb.cpp
        linclust/kmersearch.cpp
        linclust/LinsearchIndexReader.cpp
        PARENT_SCOPE
        )
