## mmseqs2 13-45111+ds

=== debian/changelog ===
mmseqs2 (13-45111+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 10:54:01 +0200

mmseqs2 (13-45111+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release, many bugs fixed.
  * debian/copyright: freshen, exclude xxhash
  * No tab in license text (routine-update)
  * Refresh patches.
  * debian/upstream/metadata: add their new preprint
  * Drop 32-bit archs as per upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Mar 2021 11:02:39 +0100
