=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,dversionmangle=auto,\
repack,compression=xz \
https://github.com/soedinglab/MMseqs2/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
