## mmseqs2 14

=== CMakeLists.txt ===
--- 
+++ 
@@ -73,7 +73,7 @@
     set(MMSEQS_ARCH "${MMSEQS_ARCH} -march=armv8-a+simd")
     set(ARM 1)
 elseif (HAVE_S390X)
-    set(MMSEQS_ARCH "${MMSEQS_ARCH} -mzarch -march=z14")
+    set(MMSEQS_ARCH "${MMSEQS_ARCH} -march=z14 -mzarch -mzvector")
     set(ZARCH 1)
 endif ()
 
@@ -103,22 +103,18 @@
             endif ()
             message(WARNING "At least SSE4.1 is needed for best performance")
         endif ()
-        if (PPC64)
-            set(MMSEQS_ARCH "-mcpu=native")
-        else ()
-            # clang has a problem with march=native on travis
-            if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.0.0")
-                set(MMSEQS_ARCH "${SSE_FLAGS}")
-            else()
-                set(MMSEQS_ARCH "-march=native")
-            endif()
-        endif ()
+        # clang has a problem with march=native on travis
+        if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.0.0")
+            set(MMSEQS_ARCH "${SSE_FLAGS}")
+        else()
+            set(MMSEQS_ARCH "-march=native")
+        endif()
+    elseif (PPC64 OR ARM)
+        set(MMSEQS_ARCH "-mcpu=native")
+    elseif (ZARCH)
+        set(MMSEQS_ARCH "-mcpu=native -mzvector")
     else ()
-        if (PPC64)
-            set(MMSEQS_ARCH "-mcpu=native")
-        else ()
-            set(MMSEQS_ARCH "-march=native")
-        endif ()
+        set(MMSEQS_ARCH "-march=native")
     endif ()
 endif ()
