## mmseqs2 14-7e284+ds

=== debian/changelog ===
mmseqs2 (14-7e284+ds-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 13:02:17 +0100
