=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                     libbz2-dev,
                     libsimde-dev,
                     libxxhash-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/mmseqs2
 Vcs-Git: https://salsa.debian.org/med-team/mmseqs2.git
 Homepage: https://github.com/soedinglab/MMseqs2
