=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

binprefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin
libexecdir=$(prefix)/lib/$(DEB_SOURCE)

cmake_flags=-DUSE_SYSTEM_ZSTD=1 -DVERSION_OVERRIDE=$(DEB_VERSION) -DNATIVE_ARCH=0

%:
	dh $@

AMD64_SIMD_LEVELS=avx2 avx sse4.1 ssse3 sse3

override_dh_auto_configure-arch:
ifeq (amd64,$(DEB_HOST_ARCH))
	$(foreach SIMD,$(AMD64_SIMD_LEVELS),export CXXFLAGS="$(CXXFLAGS) -m$(SIMD)" && export CFLAGS="$(CFLAGS) -m$(SIMD)" && \
	        dh_auto_configure --builddirectory build_$(SIMD) -- -DEXE_SUFFIX=-$(SIMD) $(cmake_flags) && ) true
	export CXXFLAGS="$(CXXFLAGS)" && export CFLAGS="$(CFLAGS)" && \
		dh_auto_configure --builddirectory build_plain -- -DEXE_SUFFIX=-plain $(cmake_flags)
else
	dh_auto_configure -- $(cmake_flags)
endif

override_dh_auto_configure-indep:

override_dh_auto_build-arch:
ifeq (amd64,$(DEB_HOST_ARCH))
	mkdir -p $(binprefix)
	$(foreach SIMD,$(AMD64_SIMD_LEVELS),dh_auto_build --builddirectory build_$(SIMD) && ) true
else
	dh_auto_build
endif

override_dh_auto_build-indep:

override_dh_auto_install-arch:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_install -pmmseqs2 debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	$(foreach SIMD,$(AMD64_SIMD_LEVELS),dh_auto_install --builddirectory build_$(SIMD) && ) true
	dh_install -pmmseqs2 usr/bin/mmseqs-* usr/bin/
	set -e && cd $(binprefix) \
		&& for prog in mmseqs ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else
	dh_auto_install
	dh_install -pmmseqs2 usr/bin/mmseqs usr/bin/
endif

override_dh_auto_install-indep:

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build-*

override_dh_install-arch:
	dh_install --arch
	mkdir -p debian/mmseqs2/usr/lib/mmseqs2/test
	cp src/test/*.index debian/mmseqs2/usr/lib/mmseqs2/test/
	cp src/test/dataGap debian/mmseqs2/usr/lib/mmseqs2/test/
	cp src/test/dataLinear debian/mmseqs2/usr/lib/mmseqs2/test/
	#cp -r obj-$(DEB_HOST_MULTIARCH)/src/test debian/mmseqs2/usr/lib/mmseqs2/

	# We also remove unneeded files & folders like CMake
	rm -rf debian/mmseqs2/usr/lib/mmseqs2/test/CMakeFiles \
		debian/mmseqs2/usr/lib/mmseqs2/test/*.cmake \
		debian/mmseqs2/usr/lib/mmseqs2/test/Makefile

override_dh_install-indep:
	dh_install --indep

	# We also remove unneeded files & folders like CMake
	rm -rf debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/*.lib \
		debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/CovSeqidQscPercMinDiag.out \
		debian/mmseqs2-examples/usr/share/doc/mmseqs2/example-data/CovSeqidQscPercMinDiagTargetCov.out

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"
