=== data/workflow/CMakeLists.txt ===
--- 
+++ 
@@ -25,5 +25,7 @@
         workflow/linsearch.sh
         workflow/databases.sh
         workflow/nucleotide_clustering.sh
+        workflow/iterativepp.sh
+        workflow/tsv2exprofiledb.sh
         PARENT_SCOPE
         )
