=== src/commons/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
         commons/AminoAcidLookupTables.h
         commons/BacktraceTranslator.h
         commons/ByteParser.h
+        commons/CSProfile.h
+        commons/CSProfile.cpp
         commons/Command.h
         commons/CommandCaller.h
         commons/Concat.h
@@ -32,6 +34,7 @@
         commons/PatternCompiler.h
         commons/ScoreMatrix.h
         commons/Sequence.h
+        commons/SequenceWeights.h
         commons/StringBlock.h
         commons/SubstitutionMatrix.h
         commons/SubstitutionMatrixProfileStates.h
@@ -67,6 +70,7 @@
         commons/ProfileStates.cpp
         commons/LibraryReader.cpp
         commons/Sequence.cpp
+        commons/SequenceWeights.cpp
         commons/SubstitutionMatrix.cpp
         commons/tantan.cpp
         commons/UniprotKB.cpp
