=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
         TestDBReaderIndexSerialization.cpp
         TestDiagonalScoring.cpp
         TestDiagonalScoringPerformance.cpp
-        TestIndexTable.cpp
         TestKmerGenerator.cpp
         TestKmerNucl.cpp
         TestKmerScore.cpp
@@ -31,7 +30,6 @@
         TestTranslate.cpp
         TestTinyExpr.cpp
         TestTaxExpr.cpp
-        TestProfileStates.cpp
         TestUtil.cpp
         TestKsw2.cpp
         TestBestAlphabet.cpp
