## mmseqs2 15-6f452+ds

=== debian/changelog ===
mmseqs2 (15-6f452+ds-2) unstable; urgency=medium

  * Team upload.
  * amd64: clean up all build directories. Closes: #1047999
  * d/control: acknowledge patch from sangmeng <sangmeng@loongson.cn>
               to add loong64 support.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 01 Nov 2023 21:57:39 +0100

mmseqs2 (15-6f452+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/rules: remove mmseqs_wrapper.bat hack, fixed upstream.
  * d/patches: refreshed; dropped gcc-13 patch applied upstream.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 31 Oct 2023 11:10:34 +0100

mmseqs2 (14-7e284+ds-2) unstable; urgency=medium

  * Team upload.
  * Add fix-gcc-13.patch to fix gcc-13 build issue. (Closes: #1037779)

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 28 Jul 2023 10:31:23 +0800
