=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                     libbz2-dev,
                     libsimde-dev,
                     libxxhash-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mmseqs2
 Vcs-Git: https://salsa.debian.org/med-team/mmseqs2.git
 Homepage: https://github.com/soedinglab/MMseqs2
 Rules-Requires-Root: no
 
 Package: mmseqs2
-Architecture: amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 riscv64
+Architecture: amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 riscv64 loong64
 # only little-endian and 64-bit
 Depends: ${shlibs:Depends},
          ${misc:Depends}
