=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,10 @@
 override_dh_auto_install-indep:
 
 override_dh_auto_clean:
+ifeq (amd64,$(DEB_HOST_ARCH))
+	$(foreach SIMD,$(AMD64_SIMD_LEVELS),dh_auto_clean --builddirectory build_$(SIMD) && ) true
+	dh_auto_clean --builddirectory build_plain
+endif
 	dh_auto_clean
 	rm -Rf build-*
